package cn.com.countrygarden.bi.main.service.performance;


import cn.com.countrygarden.bi.main.core.Service;
import cn.com.countrygarden.bi.main.model.performance.PerformanceTarget;

import java.util.List;
import java.util.Map;

public interface PerformanceTargetService extends Service<PerformanceTarget> {
    public List<PerformanceTarget> getTargetList(PerformanceTarget target);
    public List<PerformanceTarget> getNewTargetList(PerformanceTarget target);
    public PerformanceTarget getByHierarchyId(PerformanceTarget target);
    public List<PerformanceTarget> selectList(PerformanceTarget target);
    public int insertTargetList(List<PerformanceTarget> targetList);
    public void updateTargetList(List<PerformanceTarget> targetList);
    public  PerformanceTarget getTotalPage(PerformanceTarget target);
    public  PerformanceTarget getNewByHierarchyId(PerformanceTarget target);
    public void UpdateNewtarget(PerformanceTarget scores);

    void updateTargetByTargetId(PerformanceTarget target);

    void insertTargetSelective(PerformanceTarget target);

    void updateTargetSelective(PerformanceTarget target);

    Map<String, Object> getNewYearQuarter();

    //得到数据库记录中最新的年,季度—区域
    List<PerformanceTarget> getNewYearQuarterOrgan();

    //得到数据库记录中最新的年,季度—城市公司
    Map<String, Object> getNewYearQuarterCompany();
}
